Subject: bug#61162: 30.0.50; RET in source files that are being displayed by gud no longer works

From: Michael Welsh Duggan <[email-masked]>
Date: Tue, 31 Jan 2023 14:17:20 -0500

Michael Welsh Duggan <[email-masked]> writes:

> Create a trivial C program.  Here's a good example:
>
>     int main()
>     {
>       return 0;
>     }
>
> Save it as foo.c, and compile it with debugging:
>
>     gcc -ggdb3 -o foo foo.c
>
> From emacs -Q, start gdb on foo:
>
>     M-x gud-gdb RET 
>
> In my case, since foo is the only executable in the dir, the command
> line for gdb is already set up correctly as:
>
>     gdb --fullname foo
>
> Hit RET.  You should be at the gdb prompt.  Start the program:
>
>     start RET
>
> You should now get another window with foo.c in it for context.  Switch
> to that buffer and type RET.
>
>     C-x o
>     RET
>
> In my case, I get:
>
>     comint-send-input: Current buffer has no process
>
> This is new and broken behavior.  The expected behavior is that a
> newline is inserted in the buffer.

This appears to be caused by commit
a7b0b20c1bc758fa99fda96d06a266868aec3eea, which was supposed to fix
Bug#59605.

> In GNU Emacs 30.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo
>  version 1.16.0) of 2023-01-25 built on miko
> Repository revision: 8b87d095acfb23b527f955873a59dd9c13ffc9b4
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
> System Description: Debian GNU/Linux bookworm/sid
>
> Configured using:
>  'configure --without-toolkit-scroll-bars --with-x-toolkit=lucid
>  --with-native-compilation --with-xinput2 'CFLAGS=-Og -ggdb'
>  --with-tree-sitter'
>
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
> NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
> THREADS TIFF TREE_SITTER WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>
> Major mode: Group
>
> Minor modes in effect:
>   gnus-topic-mode: t
>   cursor-sensor-mode: t
>   gnus-undo-mode: t
>   display-time-mode: t
>   magit-wip-initial-backup-mode: t
>   magit-wip-before-change-mode: t
>   magit-wip-after-apply-mode: t
>   magit-wip-after-save-mode: t
>   magit-wip-mode: t
>   global-git-commit-mode: t
>   magit-auto-revert-mode: t
>   shell-dirtrack-mode: t
>   server-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   show-paren-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   buffer-read-only: t
>   line-number-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>
> Load-path shadows:
> /home/md5i/.config/emacs/elpa/transient-0.3.7/transient hides /home/md5i/src/emacs/md5i/lisp/transient
>
> Features:
> (shadow emacsbug emacs-news-mode noutline outline pulse
> display-line-numbers magit-bookmark bookmark man sieve-mode pcmpl-unix
> find-dired jka-compr shortdoc help-fns radix-tree gud goto-addr
> mailalias smtpmail canlock generic etags fileloop generator xref
> calc-misc calc-alg calc-ext calc-menu calc calc-loaddefs rect calc-macs
> vc-hg vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs log-view bug-reference
> sh-script smie executable dabbrev grep misearch multi-isearch copyright
> time-stamp whitespace tabify vc cmake-mode thingatpt rst magit-extras
> dired-aux face-remap vc-git vc-dispatcher flow-fill shr-color color
> mm-archive qp mule-util sort gnus-cite mail-extr textsec uni-scripts
> idna-mapping ucs-normalize uni-confusable textsec-check gnus-async
> gnus-bcklg gnus-ml disp-table gnus-topic cursor-sensor nndraft nnmh
> nnfolder utf-7 epa-file network-stream gnus-agent gnus-srvr gnus-score
> score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime
> smime dig gnus-cache gnus-sum shr pixel-fill kinsoku url-file svg
> gnus-demon nntp gnus-group gnus-undo gnutls gnus-start gnus-dbus
> gnus-cloud gnus-spec gnus-win flyspell ispell view pacproxy descr-text
> tramp tramp-loaddefs trampver tramp-integration cus-edit pp cus-load
> files-x tramp-compat parse-time iso8601 ls-lisp time sieve-manage sasl
> sasl-anonymous sasl-login sasl-plain rng-loc rng-uri rng-parse rng-match
> rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util
> sgml-mode facemenu dom python project compat pcase treesit ps-print
> ps-print-loaddefs lpr picture nm dbus xml magit-submodule magit-obsolete
> magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
> magit-fetch magit-clone magit-remote magit-commit magit-sequence
> magit-notes magit-worktree magit-tag magit-merge magit-branch
> magit-reset magit-files magit-refs magit-status magit magit-repos
> magit-apply magit-wip magit-log which-func imenu magit-diff smerge-mode
> diff diff-mode easy-mmode git-commit log-edit pcvs-util add-log
> magit-core magit-autorevert autorevert filenotify magit-margin
> magit-transient magit-process with-editor shell pcomplete server
> magit-mode transient comp comp-cstr warnings icons rx cl-extra edmacro
> kmacro help-mode format-spec magit-git magit-section magit-utils crm
> dash nnimap nnmail gnus-int mail-source gnus-range message sendmail
> yank-media rfc822 mml mml-sec epa mm-decode mm-bodies mm-encode
> mailabbrev gmm-utils mailheader utf7 nnoo gnus wid-edit nnheader
> gnus-util time-date mail-utils range gnus-o365-oauth2 oauth2 url-http
> url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
> mail-prsvr url-gw nsm puny plstore generated generic-x epg rfc6068
> epg-config ediff ediff-merg ediff-mult ediff-wind ediff-diff ediff-help
> ediff-init ediff-util dired-x dired dired-loaddefs compile
> text-property-search comint ansi-osc ring ansi-color cc-mode cc-fonts
> cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
> derived magit-autoloads git-commit-autoloads magit-section-autoloads
> transient-autoloads with-editor-autoloads debbugs-autoloads
> ahg-autoloads flycheck-autoloads pkg-info-autoloads epl-autoloads
> js2-mode-autoloads company-autoloads rainbow-delimiters-autoloads info
> debian-el package browse-url url url-proxy url-privacy url-expand
> url-methods url-history url-cookie generate-lisp-file url-domsuf
> url-util mailcap url-handlers url-parse auth-source cl-seq eieio
> eieio-core cl-macs password-cache json subr-x map byte-opt gv bytecomp
> byte-compile url-vars cl-loaddefs cl-lib rmc iso-transl tooltip cconv
> eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
> elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
> fontset image regexp-opt fringe tabulated-list replace newcomment
> text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
> isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
> font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
> indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> composite emoji-zwj charscript charprop case-table epa-hook
> jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
> theme-loaddefs faces cus-face macroexp files window text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget keymap
> hashtable-print-readable backquote threads dbusbind inotify lcms2
> dynamic-setting system-font-setting font-render-setting cairo x-toolkit
> xinput2 x multi-tty make-network-process native-compile emacs)
>
> Memory information:
> ((conses 16 2569013 179021)
>  (symbols 48 54509 8)
>  (strings 32 301965 34664)
>  (string-bytes 1 9142322)
>  (vectors 16 154479)
>  (vector-slots 8 2479637 295788)
>  (floats 8 1620 935)
>  (intervals 56 113568 607)
>  (buffers 984 156))

-- 
Michael Welsh Duggan
([email-masked])